Attribute VB_Name = "Declarations"
Option Explicit

Public Const FIRST_DATA_ROW = 2

Public Const STYLE_ERROR_COLOR = wdBrightGreen
Public Const STYLE_ERROR_PREFIX = "!ERROR_"

Public Const FLAG_VALUE_ON = ""
Public Const FLAG_VALUE_OFF = ""

Public Const APP_HELP = "\\fs1.concept.ru\projects\10  \01  \-04  \! .docx"

Public Const CONCEPT_SERVER_HOME = "\\fs1.concept.ru\projects\10  \!Concept\models\"
Public Const CONCEPT_LOCAL_HOME = ".concept\models\"
Public Const CONCEPT_BANNED_WORDS = "banned-words.txt"

'  
Public Const SHEET_START = "Start"
Public Const SHEET_UI = ""
Public Const SHEET_RULES = ""

'  
Public Const CELL_PAGE_COUNT = "c_PageCount"
Public Const CELL_SINGLE_RULE = "c_TheOnlyRule"
Public Const CELL_FIXES_COUNT = "c_FixesCount"
Public Const CELL_ERROR_COUNT = "c_ErrCount"

Public Const RULES_COUNT_NAME = "c_RuleCount"
Public Const RULES_GROUP_NAME = "r_RuleGroup"
Public Const CELL_TARGET_PATH = "c_DocPath"
Public Const STYLE_TEMPLATE_NAME = "c_StyleTemplate"

Public Const EXCEPTION_COUNT_NAME = "c_ExceptionBMCount"
Public Const EXCEPTION_WORD_COUNT_NAME = "c_ExceptionWordCount"
Public Const STYLE_COUNT_NAME = "c_StyleCount"
Public Const STYLE_DELETE_NAME = "c_StyleDelete"
Public Const STYLE_RENAME_NAME = "c_StyleRename"

Public Enum AddinErrors
  ERR_CANNOT_INIT = vbObjectError + 1000
End Enum

' _R_ - Rules
Public Enum RuleStruct
  [_First] = 1
  
  S_R_ID = 1
  S_R_NAME = 2
  S_R_ENABLED = 3
  S_R_APPLY = 4
  S_R_GROUP = 5
  S_R_DESCRIPTION = 6
  S_R_ERRORS = 7
  S_R_FIXES = 8
  S_R_TIME = 9
  
  [_Last] = 9
End Enum

' _P_ - parameters
Public Enum ParamsStruct
  [_First] = 1
  
  S_P_BANNED_WORDS = 1
  
  [_Last] = 1
End Enum
