Attribute VB_Name = "z_UIRibbon"
Option Private Module
Option Explicit

Public Function AccessUI() As UIState
  Static s_State As UIState
  If s_State Is Nothing Then _
    Set s_State = New UIState
  Set AccessUI = s_State
End Function

Public Sub OnRibbonBtn(iControl As IRibbonControl)
  Select Case iControl.ID
  Case "InputFile":           Call RunInputFile
  Case "InputOpen":           Call RunInputOpen
  Case "OpenTarget":          Call RunOpenTarget
  Case "InputTemplate":       Call RunInputTemplate
  
  Case "Checkup":             Call RunCheckup
  Case "FixErrors":           Call RunFixErrors
  Case "FixStyles":           Call RunFixStyles
  Case "FixManualFormat":     Call RunFixManualFormat
  
  Case "ChooseRules":         Call RunChooseRules
  Case "AskHelp":             Call RunHelp
  
  Case "Recovery":            Call RunRecovery
  
  End Select
End Sub
