VERSION 5.00
Begin {C62A69F0-16DC-11CE-9E98-00AA00574A4F} RulesDlg 
   Caption         =   "   "
   ClientHeight    =   9270.001
   ClientLeft      =   45
   ClientTop       =   375
   ClientWidth     =   14325
   OleObjectBlob   =   "RulesDlg.frx":0000
   StartUpPosition =   1  'CenterOwner
End
Attribute VB_Name = "RulesDlg"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private ids_ As Collection

Public isCanceled_ As Boolean

Private Sub UserForm_Initialize()
  isCanceled_ = True
  Call PositionInMiddle(Me)
End Sub

Public Function Init(iData As DB_Rules)
  Call RulesLB.Clear
  
  Set ids_ = New Collection
  
  Dim iRule As IteratorRule: Set iRule = iData.IBegin
  Dim sItem$, sID$
  Do Until iRule.IsDone
    sID = iRule.RuleID
    sItem = iRule.DescriptionLabel
    Call ids_.Add(sID)
    Call RulesLB.AddItem(sItem)
    If iRule.Enabled Then _
      RulesLB.Selected(RulesLB.ListCount - 1) = True
    
    Call iRule.Increment
  Loop
End Function

Public Function GetSelectedIDList() As Scripting.Dictionary
  Dim result As New Scripting.Dictionary
  Dim levelID$
  Dim i&
  For i = 0 To RulesLB.ListCount - 1 Step 1
    If RulesLB.Selected(i) Then _
      Call result.Add(ids_.Item(i + 1), i + 1)
  Next i
  Set GetSelectedIDList = result
End Function

Private Sub ClearListBtn_Click()
  Dim nItem&
  For nItem = 1 To RulesLB.ListCount
    RulesLB.Selected(nItem - 1) = False
  Next
End Sub

Private Sub SelectAllBtn_Click()
  Dim nItem&
  For nItem = 1 To RulesLB.ListCount
    RulesLB.Selected(nItem - 1) = True
  Next
End Sub

Private Sub OkBtn_Click()
  isCanceled_ = False
  Call Me.Hide
End Sub

Private Sub CancelBtn_Click()
  isCanceled_ = True
  Call Me.Hide
End Sub
